Bug 1418382 (CVE-2017-5857) - CVE-2017-5857 Qemu: display: virtio-gpu-3d: host memory leakage in virgl_cmd_resource_unref
Summary: CVE-2017-5857 Qemu: display: virtio-gpu-3d: host memory leakage in virgl_cmd_...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5857
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418383
Blocks: 1408140
TreeView+ depends on / blocked
 
Reported: 2017-02-01 17:12 UTC by Prasad J Pandit
Modified: 2021-02-17 02:40 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:47 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-01 17:12:16 UTC
Quick Emulator(Qemu) built with the Virtio GPU Device emulator support is
vulnerable to a host memory leakage issue. It could occur while processing
'VIRTIO_GPU_CMD_RESOURCE_UNREF' command.

A guest user/process could use this flaw to leak host memory resulting in DoS.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-01/msg04615.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/01/21

Comment 1 Prasad J Pandit 2017-02-01 17:12:21 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-01 17:13:43 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1418383]


Note You need to log in before you can comment on or make changes to this bug.